<?php

use think\facade\Route;

Route::group('merchant', function () {
    //商家列表
    Route::rule('list', 'v1.merchant/index');
    //所有显示商家
    Route::rule('all_list', 'v1.merchant/list');
    //商家详情
    Route::rule('info/:id', 'v1.merchant/read');
    //保存新增或编辑
    Route::rule('save/:id', 'v1.merchant/save');
    //删除
    Route::rule('del/:id', 'v1.merchant/delete');
    //修改状态
    Route::rule('set_status/:id/:status', 'v1.merchant/set_status');

})->middleware([
    \app\system\middleware\AllowOriginMiddleware::class,
    \app\system\middleware\AdminAuthTokenMiddleware::class
]);
